org.optaplanner.core.impl.score.stream.drools.quad

## Class DroolsQuadGroupByInvoker<A,B,C,D,NewA,NewB,NewC,NewD>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByInvoker<QuadTuple<A,B,C,D>>
  - - org.optaplanner.core.impl.score.stream.drools.quad.DroolsQuadGroupByInvoker<A,B,C,D,NewA,NewB,NewC,NewD>

- All Implemented Interfaces:
    org.drools.core.spi.Accumulator, org.drools.core.spi.Invoker, org.drools.core.spi.RuleComponent

      public class DroolsQuadGroupByInvoker<A,B,C,D,NewA,NewB,NewC,NewD>
      extends DroolsAbstractGroupByInvoker<QuadTuple<A,B,C,D>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.spi.Accumulator

      `org.drools.core.spi.Accumulator.SafeAccumulator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsQuadGroupByInvoker(QuadFunction<A,B,C,D,NewA> groupKeyAMapping, QuadFunction<A,B,C,D,NewB> groupKeyBMapping, QuadConstraintCollector<A,B,C,D,?,NewC> collectorC, QuadConstraintCollector<A,B,C,D,?,NewD> collectorD, org.drools.model.Variable<A> aVariable, org.drools.model.Variable<B> bVariable, org.drools.model.Variable<C> cVariable, org.drools.model.Variable<D> dVariable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <X> QuadTuple<A,B,C,D>` | `createInput(Function<org.drools.model.Variable<X>,X> valueFinder)`
    `protected DroolsAbstractGroupBy<QuadTuple<A,B,C,D>,?>` | `newContext()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByInvoker

      `accumulate, createContext, createWorkingMemoryContext, getResult, getValue, init, materialize, reverse, supportsReverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.spi.Accumulator

      `isCompiledInvoker`

- - ### Constructor Detail

    - #### DroolsQuadGroupByInvoker

          public DroolsQuadGroupByInvoker(QuadFunction<A,B,C,D,NewA> groupKeyAMapping,
                                          QuadFunction<A,B,C,D,NewB> groupKeyBMapping,
                                          QuadConstraintCollector<A,B,C,D,?,NewC> collectorC,
                                          QuadConstraintCollector<A,B,C,D,?,NewD> collectorD,
                                          org.drools.model.Variable<A> aVariable,
                                          org.drools.model.Variable<B> bVariable,
                                          org.drools.model.Variable<C> cVariable,
                                          org.drools.model.Variable<D> dVariable)

  - ### Method Detail

    - #### newContext

          protected DroolsAbstractGroupBy<QuadTuple<A,B,C,D>,?> newContext()

      Specified by:
        `newContext` in class `DroolsAbstractGroupByInvoker<QuadTuple<A,B,C,D>>`

    - #### createInput

          protected <X> QuadTuple<A,B,C,D> createInput(Function<org.drools.model.Variable<X>,X> valueFinder)

      Specified by:
        `createInput` in class `DroolsAbstractGroupByInvoker<QuadTuple<A,B,C,D>>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.